/**
 * @file temprature.cpp
 * @brief Temperature component implementation
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "temprature.hpp"
#include "logger.hpp"

static const char* TAG = "Temperature";

Temperature::Temperature()
    : m_isInitialized(false)
{
}

Temperature::~Temperature()
{
    deinitialize();
}

bool Temperature::initialize()
{
    // TODO: Implement initialization
    m_isInitialized = true;
    ASF_LOGI(TAG, 3800, asf::logger::Criticality::LOW, "Temperature initialized successfully");
    return true;
}

bool Temperature::deinitialize()
{
    if (!m_isInitialized)
    {
        return false;
    }

    // TODO: Implement deinitialization
    m_isInitialized = false;
    return true;
}

bool Temperature::isInitialized() const
{
    return m_isInitialized;
}
